Bug 250512 - security/gcr: Update to 3.38.0
Summary: security/gcr: Update to 3.38.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-21 16:40 UTC by Neel Chauhan
Modified: 2020-10-31 07:37 UTC (History)
2 users (show)

See Also:
tcberner: maintainer-feedback+


Attachments
Patch (7.86 KB, patch)
2020-10-21 16:40 UTC, Neel Chauhan
no flags Details | Diff
Patch for security/gnome-keyring (592 bytes, patch)
2020-10-21 18:48 UTC, Neel Chauhan
no flags Details | Diff
Patch to unbreak devel/libgdata (552 bytes, patch)
2020-10-21 19:19 UTC, Neel Chauhan
no flags Details | Diff
Patch (Revision 2) (14.12 KB, patch)
2020-10-21 19:31 UTC, Neel Chauhan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Neel Chauhan 2020-10-21 16:40:47 UTC
Created attachment 218953 [details]
Patch

Passes poudriere.
Comment 1 Neel Chauhan 2020-10-21 18:48:30 UTC
Created attachment 218954 [details]
Patch for security/gnome-keyring

Patch to unbreak security/gnome-keyring with this update
Comment 2 Neel Chauhan 2020-10-21 19:19:04 UTC
Created attachment 218955 [details]
Patch to unbreak devel/libgdata
Comment 3 Neel Chauhan 2020-10-21 19:31:45 UTC
Created attachment 218956 [details]
Patch (Revision 2)

This patch also unbreaks builds of all dependent ports.
Comment 4 Tobias C. Berner freebsd_committer 2020-10-24 07:06:11 UTC
Moin moin 

Is everything using gcr still running after the update?


mfg Tobias
Comment 5 Neel Chauhan 2020-10-24 17:39:29 UTC
Yes.
Comment 6 commit-hook freebsd_committer 2020-10-31 07:12:14 UTC
A commit references this bug:

Author: tcberner
Date: Sat Oct 31 07:11:57 UTC 2020
New revision: 553735
URL: https://svnweb.freebsd.org/changeset/ports/553735

Log:
  security/gcr: Update to 3.38.0

  PR:		250512
  Submitted by:	Neel Chauhan <neel@neelc.org>

Changes:
  head/devel/libgdata/Makefile
  head/mail/evolution/Makefile
  head/mail/geary/Makefile
  head/net-im/ekiga/Makefile
  head/net-im/folks/Makefile
  head/security/gcr/Makefile
  head/security/gcr/distinfo
  head/security/gcr/pkg-plist
  head/security/gnome-keyring/Makefile
  head/security/seahorse/Makefile
  head/www/epiphany/Makefile
  head/www/midori/Makefile
  head/x11-fm/sushi/Makefile
Comment 7 Tobias C. Berner freebsd_committer 2020-10-31 07:23:14 UTC
Committed. Thanks!
Comment 8 commit-hook freebsd_committer 2020-10-31 07:37:21 UTC
A commit references this bug:

Author: tcberner
Date: Sat Oct 31 07:36:41 UTC 2020
New revision: 553738
URL: https://svnweb.freebsd.org/changeset/ports/553738

Log:
  x11/gnome-shell: follow up to r55375

  - chase changed dependency

  PR:		250512

Changes:
  head/x11/gnome-shell/Makefile